Bug 424551 - DVD drive not detected/working when docking thinkpad X60t
DVD drive not detected/working when docking thinkpad X60t
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-13 21:14 EST by Steven Vormwald
Modified: 2009-01-09 00:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:30:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steven Vormwald 2007-12-13 21:14:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20071105 Fedora/ Firefox/

Description of problem:
When docking the X60t to the ultrabase, the DVD drive in the expansion bay doesn't become available.  If the laptop was not docked when powered on, no device file is created for the dvd drive, and if one is manually created using mknod, any attempt to mount the device leads to the error:

# mknod sr0 b 11 0
# ls -l sr0
brw-r--r--+ 1 root root 11, 0 2007-12-13 20:59 sr0
# mount /dev/sr0 /mnt/ -t iso9660
mount: /dev/sr0 is not a block device

If the laptop was docked when powered on, the device file /dev/sr0 exists, but mounting results in the following error messages about 50% of the time (dmesg):

isofs_fill_super: bread failed, dev=sr0, iso_blknum=16, block=16
Buffer I/O error on device sr0, logical block 1134448
Buffer I/O error on device sr0, logical block 1134448
Buffer I/O error on device sr0, logical block 0
Buffer I/O error on device sr0, logical block 1
Buffer I/O error on device sr0, logical block 2
Buffer I/O error on device sr0, logical block 3
Buffer I/O error on device sr0, logical block 4
Buffer I/O error on device sr0, logical block 5
Buffer I/O error on device sr0, logical block 6
Buffer I/O error on device sr0, logical block 7

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
To reproduce missing device (Always fails):
1. Power on laptop undocked
2. Dock laptop

To reproduce non-working device (Sometimes fails):
1. Power on laptop docked
2. Undock laptop
3. Dock laptop

Actual Results:
Machine gets ACPI docking event, and other peripherals on the docking station (network card, video, AC, USB, etc.) all appear to work, but DVD-drive in the docking station's expansion bay either doesn't show up (if it was undocked when booting) or doesn't work (if it was docked when booting).

Expected Results:
DVD drive device file is created (if it wasn't already) and the device becomes usable when the laptop is docked.

Additional info:
Comment 1 Steven Vormwald 2007-12-13 21:27:16 EST
Also, the drive works flawlessly if the laptop remains docked after being
powered on attached to the docking station.  These errors only start to occur
after the laptop goes from undocked to docked.
Comment 2 Milan Broz 2008-08-13 05:54:09 EDT
Btw I am using workaround to re-dect dvd in docking station on my x60s - just running this (rescan attached devices):
echo 0 0 0 >  /sys/class/scsi_host/host1/scan
Comment 3 Bug Zapper 2008-11-26 03:59:57 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2009-01-09 00:30:40 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.